## GalViewInstanceSaveAsDialog

GalViewInstanceSaveAsDialog

## Synopsis

    enum                GalViewInstanceSaveAsDialogToggle;
    struct              GalViewInstanceSaveAsDialog;
    GtkWidget *         gal_view_instance_save_as_dialog_new
                                                            (GalViewInstance *instance);
    void                gal_view_instance_save_as_dialog_save
                                                            (GalViewInstanceSaveAsDialog *dialog);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBin
                               +----GtkWindow
                                     +----GtkDialog
                                           +----GalViewInstanceSaveAsDialog

## Implemented Interfaces

GalViewInstanceSaveAsDialog implements AtkImplementorIface and GtkBuildable.

## Properties

      "instance"                 GalViewInstance*      : Read / Write

## Description

## Details

### enum GalViewInstanceSaveAsDialogToggle

    typedef enum {
    	GAL_VIEW_INSTANCE_SAVE_AS_DIALOG_TOGGLE_REPLACE,
    	GAL_VIEW_INSTANCE_SAVE_AS_DIALOG_TOGGLE_CREATE
    } GalViewInstanceSaveAsDialogToggle;

### struct GalViewInstanceSaveAsDialog

    struct GalViewInstanceSaveAsDialog;

### gal_view_instance_save_as_dialog_new ()

    GtkWidget *         gal_view_instance_save_as_dialog_new
                                                            (GalViewInstance *instance);

Returns a new dialog for defining views.

Returns : | The GalViewInstanceSaveAsDialog.

### gal_view_instance_save_as_dialog_save ()

    void                gal_view_instance_save_as_dialog_save
                                                            (GalViewInstanceSaveAsDialog *dialog);

## Property Details

### The `"instance"` property

      "instance"                 GalViewInstance*      : Read / Write